com.opensymphony.xwork2.config

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.opensymphony.xwork2.XWorkException
        - - com.opensymphony.xwork2.config.ConfigurationException

- All Implemented Interfaces:
    Locatable, Serializable

      public class ConfigurationException
      extends XWorkException

  ConfigurationException
  Author:
    Jason Carreira
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationException()` Constructs a `ConfigurationException` with no detail message.
    `ConfigurationException(String s)` Constructs a `ConfigurationException` with the specified detail message.
    `ConfigurationException(String s, Object target)` Constructs a `ConfigurationException` with the specified detail message.
    `ConfigurationException(String s, Throwable cause)` Constructs a `ConfigurationException` with the specified detail message.
    `ConfigurationException(String s, Throwable cause, Object target)` Constructs a `ConfigurationException` with the specified detail message.
    `ConfigurationException(Throwable cause)` Constructs a `ConfigurationException` with no detail message.
    `ConfigurationException(Throwable cause, Object target)` Constructs a `ConfigurationException` with no detail message.

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.XWorkException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException()

      Constructs a `ConfigurationException` with no detail message.

    - #### ConfigurationException

          public ConfigurationException(String s)

      Constructs a `ConfigurationException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### ConfigurationException

          public ConfigurationException(String s,
                                        Object target)

      Constructs a `ConfigurationException` with the specified detail message.
      Parameters:
        `s` - the detail message.
        `target` - the target object

    - #### ConfigurationException

          public ConfigurationException(Throwable cause)

      Constructs a `ConfigurationException` with no detail message.
      Parameters:
        `cause` - the cause of the exception

    - #### ConfigurationException

          public ConfigurationException(Throwable cause,
                                        Object target)

      Constructs a `ConfigurationException` with no detail message.
      Parameters:
        `cause` - the cause of the exception
        `target` - the target object

    - #### ConfigurationException

          public ConfigurationException(String s,
                                        Throwable cause)

      Constructs a `ConfigurationException` with the specified detail message.
      Parameters:
        `s` - the detail message.
        `cause` - the cause of the exception

    - #### ConfigurationException

          public ConfigurationException(String s,
                                        Throwable cause,
                                        Object target)

      Constructs a `ConfigurationException` with the specified detail message.
      Parameters:
        `s` - the detail message.
        `cause` - the cause of the exception
        `target` - the target object

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.